#include <errno.h>
#include <stdio.h>
#include <unistd.h>

#define CWD "/tmp/files-dir"

#define RED "\x1b[31m"
#define GREEN "\x1b[32m"
#define NORMAL "\x1b[0m\n"

#define err(msg, line)                                                         \
  do {                                                                         \
    char buf[256];                                                             \
    snprintf(buf, sizeof(buf), "%s:%d: error: %s", __FILE__, line, msg);       \
    perror(buf);                                                               \
  } while (0)
